'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.emphasize = emphasize;
exports.inspect = inspect;
exports.validateSqlAST = validateSqlAST;

var _util = require('util');

var _util2 = _interopRequireDefault(_util);

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function emphasize(str, colorCode = 33) {
  return `\n\x1b[1;${ colorCode }m${ str }\x1b[0m\n`;
}

function inspect(obj, options = {}) {
  return _util2.default.inspect(obj, _extends({ depth: 12 }, options));
}

function validateSqlAST(topNode) {
  (0, _assert2.default)(topNode.sqlJoin == null);
}